<?php

namespace ReadyApp\MyApp\Command;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class UCExampleCommand extends Command {

    protected static $defaultName = 'my-application:hello-world';

    protected function configure() {
        // configuration of command
        // @see https://symfony.com/doc/current/console.html#configuring-the-command
    }

    protected function execute(InputInterface $input, OutputInterface $output) {
        // ... put here the code to do something

        $formatter = $this->getHelper('formatter');
        $formattedLine = $formatter->formatSection(self::$defaultName, 'Hello world! Ready_™ Command Line Interface');
        $output->writeln($formattedLine);

        // this method must return an integer number with the "exit status code"
        // of the command. You can also use these constants to make code more readable

        // return this if there was no problem running the command
        // (it's equivalent to returning int(0))
        return Command::SUCCESS;

        // or return this if some error happened during the execution
        // (it's equivalent to returning int(1))
        // return Command::FAILURE;

    }

}